Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045643
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-12-23 07:082021-07-13 12:49
ReporterrafarodaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045643: Tax exempt usage is not applying in Tax Engine

DescriptionTax exempt usage is not applying in Tax Engine

Tax engine is not taking into account that not exempt taxes are the only ones that should be selected for non tax exempt customers.

Marking a Tax Rate as Tax Exempt = Y, does not have affect in Tax Engine on Tax Exempt = Y customers only in WebPOS, but to all customers
Steps To Reproduce1) In Backoffice, mark a regular Tax Rate as Tax Exempt = Y

2) In backoffice, mark a Business Partner as Tax Exempt = Y in Customer tab

3) Menu > refresh Data in WebPOS to have the new tax rate and customer info

4) Select a customer that is NOT Tax Exempt and add a product: the Tax Exempt tax rate is applied, this is wrong
Proposed SolutionWhat Tax Engine should do:
1) For Tax Exempt = Y customers, the tax engine should only evaluate Tax Exempt = Y tax rates
2) For other customer Tax Exempt = N, the tax engine should evaluate any valid tax rate (no matter if tax exempt or not tax exempt)
TagsNOR
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0046314 newpsanjuan Retail Modules Net Prices must be used if a sale is created for an exempt BP for products having a price list including taxes. 
related to defect 0047281 closedvmromanos Openbravo Localizations Some Exempt tax rates are not configured properly 
related to defect 0045642 closedranjith_qualiantech_com Retail Modules Deactivation of tax rates does not have effect in web POS 
related to feature request 0045755 closedvmromanos Openbravo Localizations New taxes required set as Tax Exempt=Yes 
related to defect 0046791 closedranjith_qualiantech_com Retail Modules Tax can not be found 
related to defect 0047264 closedTriage Finance Modules Configuration of 'Region' and 'Destination Region' in the 'Tax rate' header does not work, for instance 8.5 DOM-TOM 

-  Notes
(0125358)
hgbot (developer)
2021-01-12 09:29

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/251 [^]
(0125359)
hgbot (developer)
2021-01-12 09:29

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/merge_requests/6 [^]
(0125360)
hgbot (developer)
2021-01-12 09:30

Merge Request created: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/merge_requests/6 [^]
(0125361)
hgbot (developer)
2021-01-12 09:30

Merge Request created: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/66 [^]
(0125374)
hgbot (developer)
2021-01-12 12:31

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: f0297f94facd3f896d14dd95ba7d04589a6e29ce
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-01-12T16:33:10+05:30
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/f0297f94facd3f896d14dd95ba7d04589a6e29ce [^]

Verifies ISSUE-45643: Modified Automated tests

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/terminals/AutoServicePriceHelper.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I31978_VerfiyGiftCardWithBOMTax.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multitaxcategory/CheckMultitaxCategory.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multitaxcategory/I39645_VerifyMultitaxWhenTaxInAnotherBranchOfOrgTree.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/taxexempt/I37958_VerifyOrderLineWithTaxExempt.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSInvoicePrepaymentServiceTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandnew/CancelLayawayDeferredServ.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcLayawayDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderMainProdHavingDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithProdAndService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcProductOrderNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceLayawayServiceRmvd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceOrderNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayMainProdHavingRelatedService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithProdAndService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelProdLayaway.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayaway.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayPrdRmvd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/multiselection/ChangePriceMultipleLinesServiceApproval.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediatePayOpenTicketsDeferredServicePrepayment290.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediateServiceUniqueQuantityUndeliverableProductPrepayment240.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediateServiceUniqueQuantityUndeliverableProductPrepayment260.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI120_ServiceUniqueQuantityUndeliverableProductPrepaymentAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI140_ServiceUniqueQuantityUndeliverableProductPrepaymentWithapprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI160_ServiceUniqueQuantityUndeliverableProductsPrepaymentWithapprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI190_PayOpenTicketsDeferredServicePrepaymentWithApprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithPreference.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithStock.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithoutStock.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I35450_VerifyReceiptViewWithStockScreen.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I36071_VerifyNotServicesShownWhenProductNotAdd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I31887_ReceiptWithDifferentProductTaxRate.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I33364_VerifyReturnOnSeviceOverdue.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I37730_WebPOSBreaksUnderCertainCircumstances.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I33493_ReceiptVerifyButtonsAddServices.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I39978_VerifyNoErrorOnShowServicesInNegativeLine.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I40419_VerifyDeferredServiceInQuotation.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I41363_VerifyNoOriginalTicketLinesInAddAssocOfCanclReplace.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/deferredsell/DeferredHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/taxes/ThreeProductsCascadeTaxes.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/taxes/WebPOSTaxTerminalHelper.java
---
(0125375)
hgbot (developer)
2021-01-12 12:31

Merge request merged: https://gitlab.com/openbravo/ci/mobile-test/-/merge_requests/66 [^]
(0125376)
hgbot (developer)
2021-01-12 12:32

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata [^]
Changeset: 0d17e7ec345e8e2a787e8526f35fb337137db837
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-01-12T16:31:00+05:30
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/commit/0d17e7ec345e8e2a787e8526f35fb337137db837 [^]

Related to ISSUE-45643: Added sampledata for TaxCategory and Tax

---
M referencedata/sampledata/The_White_Valley_Group/C_TAX.xml
M referencedata/sampledata/The_White_Valley_Group/C_TAXCATEGORY.xml
M referencedata/sampledata/The_White_Valley_Group/M_PRODUCT.xml
M referencedata/sampledata/The_White_Valley_Group/OBFMTC_PRODUCT_TAXCATEGORY.xml
---
(0125377)
hgbot (developer)
2021-01-12 12:32

Merge request merged: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/merge_requests/6 [^]
(0125378)
hgbot (developer)
2021-01-12 12:32

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata [^]
Changeset: 337e96c985e0e8a19296ef96a51087e8edd97171
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-01-07T00:09:03+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/commit/337e96c985e0e8a19296ef96a51087e8edd97171 [^]

Related to ISSUE-45643: Added sampledata for Exempt Customer

---
M referencedata/sampledata/The_White_Valley_Group/AD_USER.xml
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER.xml
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER_LOCATION.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_CUSTOMER_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_EMPLOYEE_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_VENDOR_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_LOCATION.xml
M referencedata/sampledata/The_White_Valley_Group/C_TAX.xml
M referencedata/sampledata/The_White_Valley_Group/M_PRODUCT.xml
---
(0125379)
hgbot (developer)
2021-01-12 12:32

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/merge_requests/6 [^]
(0125380)
hgbot (developer)
2021-01-12 12:32

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: c05c2ee193351445393f0ef132dce78aa18cab17
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-01-12T16:30:53+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/c05c2ee193351445393f0ef132dce78aa18cab17 [^]

Fixed ISSUE-45643: Added validation to allow Exempt tax only for Tax Exempt Customers

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
---
(0125381)
hgbot (developer)
2021-01-12 12:32

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/251 [^]
(0125464)
hgbot (developer)
2021-01-14 17:20

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: a8bb42f2cbe6aae077ba9eef2eef513ac868698f
Author: Adrián Romero <adrian.romero@openbravo.com>
Date: 2021-01-14T17:19:25+01:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/a8bb42f2cbe6aae077ba9eef2eef513ac868698f [^]

Revert "ISSUE-45643: Added validation to allow Exempt tax only for Tax Exempt Customers"

This reverts commit c05c2ee193351445393f0ef132dce78aa18cab17.

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
---
(0125465)
adrianromero (manager)
2021-01-14 17:21

Reverts change in posterminal as it is causing mod-retail to fail
(0125660)
hgbot (developer)
2021-01-20 07:34

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/merge_requests/3 [^]
(0125661)
hgbot (developer)
2021-01-20 07:34

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/268 [^]
(0125674)
hgbot (developer)
2021-01-20 12:44

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes [^]
Changeset: 541b70d53cfabbaeb18762bee6761304872c5628
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-01-20T12:04:14+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/commit/541b70d53cfabbaeb18762bee6761304872c5628 [^]

Related to ISSUE-45643: Updated Taxes test to allow Exempt tax only for Tax Exempt Customers

---
M src-test/org/openbravo/taxes/test/base/Tax.java
M src-test/org/openbravo/taxes/test/base/model/TaxesRule.java
M src-test/org/openbravo/taxes/test/base/model/TaxesRulesScenario.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData03.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData17.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData18.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData20.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData22.java
M src-test/org/openbravo/taxes/test/util/TaxesTestConstants.java
---
(0125675)
hgbot (developer)
2021-01-20 12:44

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/merge_requests/3 [^]
(0125676)
hgbot (developer)
2021-01-20 12:45

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 53dbd0a31ac0e5db94315d14a38f8e47cbf5a37d
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-01-20T11:44:51+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/53dbd0a31ac0e5db94315d14a38f8e47cbf5a37d [^]

Fixed ISSUE-45643: Added validation to allow Exempt tax only for Tax Exempt Customers

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
---
(0125677)
hgbot (developer)
2021-01-20 12:45

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/268 [^]
(0125678)
adrianromero (manager)
2021-01-20 12:46

Verified. Taxes tests have been modified to comply with the new behaviour and the changes in posterminal have be commited again.
(0128769)
rafaroda (developer)
2021-05-28 12:43

After talking with Patricia, the proposed solution "Tax Exempt = Y tax rate apply only to Tax Exempt = Y customers" is wronly expressed.

The correct proposed solution is "What Tax Engine should do:
1) For Tax Exempt = Y customers, the tax engine should only evaluate Tax Exempt = Y tax rates
2) For other customer Tax Exempt = N, the tax engine should evaluate any valid tax rate (no matter if tax exempt or not tax exempt)"
(0128770)
psanjuan (manager)
2021-05-28 12:48
edited on: 2021-05-28 12:48

Please revert this changeset and make sure that below works:
For Tax Exempt = Y customers, the tax engine should only evaluate Tax Exempt = Y tax rates
See issue related 46791

(0128903)
hgbot (developer)
2021-06-02 07:40

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: f31e5cbdc92e01f2a21f56839bb70f63672d5524
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-05-31T15:28:17+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/f31e5cbdc92e01f2a21f56839bb70f63672d5524 [^]

Related to ISSUE-46791: Backout changes of ISSUE-45643

This reverts commit 53dbd0a31ac0e5db94315d14a38f8e47cbf5a37d.

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
---
(0128905)
hgbot (developer)
2021-06-02 07:40

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes [^]
Changeset: 42556de6f6cc9691edd2fe854cc2874d195ebb78
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-05-31T15:29:22+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/commit/42556de6f6cc9691edd2fe854cc2874d195ebb78 [^]

Related to ISSUE-46791: Backout changes of ISSUE-45643

This reverts commit 541b70d53cfabbaeb18762bee6761304872c5628.

---
M src-test/org/openbravo/taxes/test/base/Tax.java
M src-test/org/openbravo/taxes/test/base/model/TaxesRule.java
M src-test/org/openbravo/taxes/test/base/model/TaxesRulesScenario.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData03.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData17.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData18.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData20.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData22.java
M src-test/org/openbravo/taxes/test/util/TaxesTestConstants.java
---
(0128908)
hgbot (developer)
2021-06-02 07:40

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata [^]
Changeset: 08c5b2addf733d1f4edf5bfca8f01bcd0cace0b0
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-05-31T15:29:59+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/commit/08c5b2addf733d1f4edf5bfca8f01bcd0cace0b0 [^]

Related to ISSUE-46791: Backout changes of ISSUE-45643

This reverts commit 337e96c985e0e8a19296ef96a51087e8edd97171.

---
M referencedata/sampledata/The_White_Valley_Group/AD_USER.xml
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER.xml
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER_LOCATION.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_CUSTOMER_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_EMPLOYEE_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_VENDOR_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_LOCATION.xml
M referencedata/sampledata/The_White_Valley_Group/C_TAX.xml
M referencedata/sampledata/The_White_Valley_Group/M_PRODUCT.xml
---
(0128912)
hgbot (developer)
2021-06-02 07:40

Repository: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata [^]
Changeset: 336326987a8772612e06ea555ce3bae3f76c8ebf
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-05-31T15:30:30+05:30
URL: https://gitlab.com/openbravo/ci/modules/org.openbravo.test.mobile.sampledata/-/commit/336326987a8772612e06ea555ce3bae3f76c8ebf [^]

Related to ISSUE-46791: Backout changes of ISSUE-45643

This reverts commit 0d17e7ec345e8e2a787e8526f35fb337137db837.

---
M referencedata/sampledata/The_White_Valley_Group/C_TAX.xml
M referencedata/sampledata/The_White_Valley_Group/C_TAXCATEGORY.xml
M referencedata/sampledata/The_White_Valley_Group/M_PRODUCT.xml
M referencedata/sampledata/The_White_Valley_Group/OBFMTC_PRODUCT_TAXCATEGORY.xml
---
(0128915)
hgbot (developer)
2021-06-02 07:40

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: 4da936b58b16c8c2bcaf45b2dc7e2455f0803005
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-05-31T15:35:59+05:30
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/4da936b58b16c8c2bcaf45b2dc7e2455f0803005 [^]

Related to ISSUE-46791: Backout changes of ISSUE-45643

This reverts commit f0297f94facd3f896d14dd95ba7d04589a6e29ce.

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/terminals/AutoServicePriceHelper.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I31978_VerfiyGiftCardWithBOMTax.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multitaxcategory/CheckMultitaxCategory.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multitaxcategory/I39645_VerifyMultitaxWhenTaxInAnotherBranchOfOrgTree.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/taxexempt/I37958_VerifyOrderLineWithTaxExempt.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSInvoicePrepaymentServiceTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandnew/CancelLayawayDeferredServ.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcLayawayDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderMainProdHavingDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithProdAndService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcProductOrderNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceLayawayServiceRmvd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceOrderNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayMainProdHavingRelatedService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithProdAndService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelProdLayaway.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayaway.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayPrdRmvd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/multiselection/ChangePriceMultipleLinesServiceApproval.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediatePayOpenTicketsDeferredServicePrepayment290.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediateServiceUniqueQuantityUndeliverableProductPrepayment240.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediateServiceUniqueQuantityUndeliverableProductPrepayment260.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI120_ServiceUniqueQuantityUndeliverableProductPrepaymentAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI140_ServiceUniqueQuantityUndeliverableProductPrepaymentWithapprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI160_ServiceUniqueQuantityUndeliverableProductsPrepaymentWithapprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI190_PayOpenTicketsDeferredServicePrepaymentWithApprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithPreference.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithStock.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithoutStock.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I35450_VerifyReceiptViewWithStockScreen.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I36071_VerifyNotServicesShownWhenProductNotAdd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I31887_ReceiptWithDifferentProductTaxRate.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I33364_VerifyReturnOnSeviceOverdue.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I37730_WebPOSBreaksUnderCertainCircumstances.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I33493_ReceiptVerifyButtonsAddServices.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I39978_VerifyNoErrorOnShowServicesInNegativeLine.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I40419_VerifyDeferredServiceInQuotation.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I41363_VerifyNoOriginalTicketLinesInAddAssocOfCanclReplace.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/deferredsell/DeferredHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/taxes/ThreeProductsCascadeTaxes.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/taxes/WebPOSTaxTerminalHelper.java
---
(0129102)
hgbot (developer)
2021-06-07 07:11

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 641c51d5680d135344746693c11d2ec4de7b88dd
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-06-07T05:11:04+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/641c51d5680d135344746693c11d2ec4de7b88dd [^]

Related to ISSUE-46890: Backout changes of ISSUE-45643

This reverts commit 53dbd0a31ac0e5db94315d14a38f8e47cbf5a37d.

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
M web/org.openbravo.retail.posterminal/js/model/businesspartner.js
---
(0129105)
hgbot (developer)
2021-06-07 07:11

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata [^]
Changeset: d645396ed172fa78bb2483b12840742069328e69
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-06-03T17:36:45+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.sampledata/-/commit/d645396ed172fa78bb2483b12840742069328e69 [^]

Related to ISSUE-46890: Backout changes of ISSUE-45643

This reverts commit 337e96c985e0e8a19296ef96a51087e8edd97171.

---
M referencedata/sampledata/The_White_Valley_Group/AD_USER.xml
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER.xml
M referencedata/sampledata/The_White_Valley_Group/C_BPARTNER_LOCATION.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_CUSTOMER_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_EMPLOYEE_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_BP_VENDOR_ACCT.xml
M referencedata/sampledata/The_White_Valley_Group/C_LOCATION.xml
M referencedata/sampledata/The_White_Valley_Group/C_TAX.xml
M referencedata/sampledata/The_White_Valley_Group/M_PRODUCT.xml
---
(0129108)
hgbot (developer)
2021-06-07 07:11

Repository: https://gitlab.com/openbravo/ci/mobile-test [^]
Changeset: 7bee41bbc65713848d04ffba75e000cbcf25aa84
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-06-03T17:34:32+05:30
URL: https://gitlab.com/openbravo/ci/mobile-test/-/commit/7bee41bbc65713848d04ffba75e000cbcf25aa84 [^]

Related to ISSUE-46890: Backout changes of ISSUE-45643

This reverts commit f0297f94facd3f896d14dd95ba7d04589a6e29ce.

---
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/terminals/AutoServicePriceHelper.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/giftcards/I31978_VerfiyGiftCardWithBOMTax.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multitaxcategory/CheckMultitaxCategory.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/multitaxcategory/I39645_VerifyMultitaxWhenTaxInAnotherBranchOfOrgTree.java
M src-test/org/openbravo/test/mobile/retail/extmodules/selenium/tests/taxexempt/I37958_VerifyOrderLineWithTaxExempt.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/terminals/WebPOSInvoicePrepaymentServiceTerminalHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandnew/CancelLayawayDeferredServ.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcLayawayDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderMainProdHavingDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithProdAndService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcOrderWithService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcProductOrderNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceLayawayServiceRmvd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelAndRplcServiceOrderNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayDeferredService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayMainProdHavingRelatedService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithProdAndService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelLayawayWithService.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelProdLayaway.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayaway.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayNoChng.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cancelandreplace/I36267_CancelServiceLayawayAndCancelRplcProdLayawayPrdRmvd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/multiselection/ChangePriceMultipleLinesServiceApproval.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediatePayOpenTicketsDeferredServicePrepayment290.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediateServiceUniqueQuantityUndeliverableProductPrepayment240.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/ImmediateServiceUniqueQuantityUndeliverableProductPrepayment260.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI120_ServiceUniqueQuantityUndeliverableProductPrepaymentAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI140_ServiceUniqueQuantityUndeliverableProductPrepaymentWithapprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI160_ServiceUniqueQuantityUndeliverableProductsPrepaymentWithapprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/prepaymentsAndInvoiceTerms/OMNI190_PayOpenTicketsDeferredServicePrepaymentWithApprovalAfterDelivery.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithPreference.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithStock.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/productlockeddiscontinued/VerifyProductDiscontinuedWithoutStock.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I35450_VerifyReceiptViewWithStockScreen.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/receipts/I36071_VerifyNotServicesShownWhenProductNotAdd.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I31887_ReceiptWithDifferentProductTaxRate.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I33364_VerifyReturnOnSeviceOverdue.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/returns/I37730_WebPOSBreaksUnderCertainCircumstances.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/sales/I33493_ReceiptVerifyButtonsAddServices.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I39978_VerifyNoErrorOnShowServicesInNegativeLine.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I40419_VerifyDeferredServiceInQuotation.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I41363_VerifyNoOriginalTicketLinesInAddAssocOfCanclReplace.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/deferredsell/DeferredHelper.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/taxes/ThreeProductsCascadeTaxes.java
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/taxes/WebPOSTaxTerminalHelper.java
---

- Issue History
Date Modified Username Field Change
2020-12-23 07:08 rafaroda New Issue
2020-12-23 07:08 rafaroda Assigned To => Retail
2020-12-23 07:08 rafaroda Resolution time => 1609628400
2020-12-23 07:08 rafaroda Triggers an Emergency Pack => No
2020-12-23 07:09 rafaroda Tag Attached: NOR
2020-12-23 07:11 rafaroda Relationship added related to 0045642
2020-12-23 07:58 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-12-24 04:36 ranjith_qualiantech_com Status new => scheduled
2021-01-12 09:29 hgbot Note Added: 0125358
2021-01-12 09:29 hgbot Note Added: 0125359
2021-01-12 09:30 hgbot Note Added: 0125360
2021-01-12 09:30 hgbot Note Added: 0125361
2021-01-12 12:31 hgbot Note Added: 0125374
2021-01-12 12:31 hgbot Note Added: 0125375
2021-01-12 12:32 hgbot Note Added: 0125376
2021-01-12 12:32 hgbot Note Added: 0125377
2021-01-12 12:32 hgbot Note Added: 0125378
2021-01-12 12:32 hgbot Note Added: 0125379
2021-01-12 12:32 hgbot Resolution open => fixed
2021-01-12 12:32 hgbot Status scheduled => closed
2021-01-12 12:32 hgbot Fixed in Version => RR21Q2
2021-01-12 12:32 hgbot Note Added: 0125380
2021-01-12 12:32 hgbot Note Added: 0125381
2021-01-14 17:20 hgbot Note Added: 0125464
2021-01-14 17:21 adrianromero Note Added: 0125465
2021-01-14 17:21 adrianromero Status closed => new
2021-01-14 17:21 adrianromero Resolution fixed => open
2021-01-14 17:21 adrianromero Fixed in Version RR21Q2 =>
2021-01-19 15:44 rafaroda Relationship added related to 0045755
2021-01-20 07:34 hgbot Note Added: 0125660
2021-01-20 07:34 hgbot Note Added: 0125661
2021-01-20 12:44 hgbot Note Added: 0125674
2021-01-20 12:44 hgbot Note Added: 0125675
2021-01-20 12:45 hgbot Resolution open => fixed
2021-01-20 12:45 hgbot Status new => closed
2021-01-20 12:45 hgbot Fixed in Version => RR21Q2
2021-01-20 12:45 hgbot Note Added: 0125676
2021-01-20 12:45 hgbot Note Added: 0125677
2021-01-20 12:46 adrianromero Note Added: 0125678
2021-04-21 17:24 rafaroda Relationship added related to 0046314
2021-05-27 12:02 ranjith_qualiantech_com Relationship added related to 0046791
2021-05-28 12:42 rafaroda Proposed Solution updated
2021-05-28 12:43 rafaroda Note Added: 0128769
2021-05-28 12:48 psanjuan Note Added: 0128770
2021-05-28 12:48 psanjuan Note Edited: 0128770 View Revisions
2021-06-02 07:40 hgbot Note Added: 0128903
2021-06-02 07:40 hgbot Note Added: 0128905
2021-06-02 07:40 hgbot Note Added: 0128908
2021-06-02 07:40 hgbot Note Added: 0128912
2021-06-02 07:40 hgbot Note Added: 0128915
2021-06-07 07:11 hgbot Note Added: 0129102
2021-06-07 07:11 hgbot Note Added: 0129105
2021-06-07 07:11 hgbot Note Added: 0129108
2021-07-13 12:49 rafaroda Relationship added related to 0047281
2021-07-13 12:55 rafaroda Relationship added related to 0047264


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker